> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.icepanel.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.icepanel.io/_mcp/server.

# Update

PATCH https://api.icepanel.io/v1/organizations/{organizationId}
Content-Type: application/json

Reference: https://developer.icepanel.io/api-reference/organizations/update

## Authentication

- `X-API-Key` header (required) — API key authentication
- `Authorization` header (bearer token, required) — Bearer token authentication

## Request

### Path parameters

- `organizationId` (string, required)

### Body (application/json)

This endpoint expects an OrganizationPartial.

- `aiFeatures` (OrganizationAIFeatures, optional) — AI features that are enabled for the organization
- `aiFeaturesEnabled` (boolean, optional) — Whether to enable all AI features for the organization
- `aiModel` (enum, optional)
  - Allowed values: `gpt-5`, `gpt-5-mini`, `gpt-5-nano`
- `billingCurrency` (enum, optional)
  - Allowed values: `usd`, `cad`, `eur`, `gbp`
- `billingCycle` (enum, optional)
  - Allowed values: `monthly`, `annually`
- `billingEmail` (string, optional)
- `experiments` (map from string to boolean, optional)
- `language` (enum, optional)
  - Allowed values: `en-US`, `en-GB`, `fr-FR`, `es-ES`, `es-419`
- `lineShapeDefault` (enum, optional) — The visual style of a connection line
  - Allowed values: `curved`, `square`, `straight`
- `name` (string, optional)
- `oauthLandscapeWriteEnabled` (boolean, optional) — Whether OAuth connections can make changes to landscape data
- `shareLinkAuthDomains` (list of string, optional, nullable)
- `shareLinksEnabled` (boolean, optional)

## Response

### 200

OK

- `organization` (Organization, required)

## Errors

### 400 Bad Request Error

Bad Request

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 401 Unauthorized Error

Unauthorized

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 403 Forbidden Error

Forbidden

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 404 Not Found Error

Not Found

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 422 Unprocessable Entity Error

Unprocessable Entity

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 429 Too Many Requests Error

Resource Exhausted

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 500 Internal Server Error

Internal Server

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 503 Service Unavailable Error

Service Unavailable

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

## Types

### OrganizationAIFeatures

AI features that are enabled for the organization

- `generateDetailedDescriptions` (boolean, optional) — Whether to enable detailed descriptions for objects, connections, and diagrams
- `generateDisplayDescriptions` (boolean, optional) — Whether to enable display descriptions for objects
- `generateDraftSummary` (boolean, optional) — Whether to enable draft summaries for diagrams
- `generateObjectSummary` (boolean, optional) — Whether to enable object summaries for objects and connections in the right click context menu

### Organization

- `lineShapeDefault` (enum, required) — The visual style of a connection line
  - Allowed values: `curved`, `square`, `straight`
- `name` (string, required)
- `oauthLandscapeWriteEnabled` (boolean, required) — Whether OAuth connections can make changes to landscape data
- `shareLinkAuthDomains` (list of string, required, nullable)
- `shareLinksEnabled` (boolean, required)
- `autoInviteDomains` (list of string, required)
- `billingPaymentMethod` (boolean, required)
- `createdAt` (datetime, required)
- `createdBy` (enum, required)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `createdById` (string, required)
- `id` (string, required)
- `plan` (enum, required)
  - Allowed values: `free`, `indie`, `pilot`, `growth`, `scale`, `isolation`
- `seats` (double, required)
- `status` (enum, required)
  - Allowed values: `active`, `canceled`, `incomplete_expired`, `incomplete`, `past_due`, `paused`, `trialing`, `unpaid`
- `updatedAt` (datetime, required)
- `updatedBy` (enum, required)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `updatedById` (string, required)
- `userIds` (list of string, required)
- `users` (map from string to OrganizationUser, required)
- `aiFeatures` (OrganizationAIFeatures, optional) — AI features that are enabled for the organization
- `aiFeaturesEnabled` (boolean, optional) — Whether to enable all AI features for the organization
- `aiModel` (enum, optional)
  - Allowed values: `gpt-5`, `gpt-5-mini`, `gpt-5-nano`
- `billingCurrency` (enum, optional)
  - Allowed values: `usd`, `cad`, `eur`, `gbp`
- `billingCycle` (enum, optional)
  - Allowed values: `monthly`, `annually`
- `billingEmail` (string, optional)
- `experiments` (map from string to boolean, optional)
- `language` (enum, optional)
  - Allowed values: `en-US`, `en-GB`, `fr-FR`, `es-ES`, `es-419`
- `billingCollectionMethod` (enum, optional)
  - Allowed values: `charge`, `invoice`
- `billingMonthlyCost` (double, optional)
- `cancelAt` (datetime, optional)
- `canceledAt` (datetime, optional)
- `planEndsAt` (datetime, optional)
- `trialEndsAt` (datetime, optional)

### OrganizationUser

- `permission` (enum, required)
  - Allowed values: `billing`, `read`, `write`, `admin`
- `landscapePermissions` (map from string to boolean, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "organization": {
    "lineShapeDefault": "curved",
    "name": "string",
    "oauthLandscapeWriteEnabled": true,
    "shareLinkAuthDomains": [
      "string"
    ],
    "shareLinksEnabled": true,
    "autoInviteDomains": [
      "string"
    ],
    "billingPaymentMethod": true,
    "createdAt": "2024-01-15T09:30:00Z",
    "createdBy": "user",
    "createdById": "string",
    "id": "string",
    "plan": "free",
    "seats": 1.1,
    "status": "active",
    "updatedAt": "2024-01-15T09:30:00Z",
    "updatedBy": "user",
    "updatedById": "string",
    "userIds": [
      "string"
    ],
    "users": {},
    "aiFeatures": {
      "generateDetailedDescriptions": true,
      "generateDisplayDescriptions": true,
      "generateDraftSummary": true,
      "generateObjectSummary": true
    },
    "aiFeaturesEnabled": true,
    "aiModel": "gpt-5",
    "billingCurrency": "usd",
    "billingCycle": "monthly",
    "billingEmail": "string",
    "experiments": {},
    "language": "en-US",
    "billingCollectionMethod": "charge",
    "billingMonthlyCost": 1.1,
    "cancelAt": "2024-01-15T09:30:00Z",
    "canceledAt": "2024-01-15T09:30:00Z",
    "planEndsAt": "2024-01-15T09:30:00Z",
    "trialEndsAt": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.icepanel.io/v1/organizations/organizationId"

payload = {}
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.icepanel.io/v1/organizations/organizationId"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```csharp
using RestSharp;

var client = new RestClient("https://api.icepanel.io/v1/organizations/organizationId");
var request = new RestRequest(Method.PATCH);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```